{% extends 'template/index.html' %}
{% block title %} PACIENTES - SANTA MÓNICA {% endblock %}

{% block navigation %}
{% endblock %}

{% block content %}
    <section class="dashboard-header">
    <div class="container-fluid">
        <div class="form-group col-sm-12">
            <button type="button" class="btn btn-outline-primary" id="btn_newPersona"><i class="fa fa-plus"></i> Agregar</button>
            <!-- Modal -->
<div class="modal fade" id="newPersona" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title" id="exampleModalLabel">Nuevo Cliente</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <form id="form_persona">
              {% include 'persona/form-persona.html' %}
      <div class="modal-footer">
        <button type="submit" class="btn btn-outline-primary">Guardar</button>
        <button type="button" id="generar" class="btn btn-outline-warning">Generar N° H.C.</button>
        <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Cancelar</button>
      </div>
          </form>
      </div>
    </div>
  </div>
</div>
<div class="modal fade" id="editPersona" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title" id="exampleModalLabel">Editar Cliente</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <form id="editar_persona">
              {% include 'persona/form-persona.html' %}
      <div class="modal-footer">
        <button type="submit" class="btn btn-outline-primary">Guardar</button>
{#        <button type="reset" class="btn btn-outline-warning">Limpiar</button>#}
        <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Cancelar</button>
      </div>
          </form>
      </div>
    </div>
  </div>
</div>
        </div>
    </div>
    <div class="container-fluid">
        <table id="list-persona" class="display table table-responsive">
            <thead>
                <tr>
                    <th>#</th>
                    <th>N° H.C.</th>
                    <th>DNI</th>
                    <th>PATERNO</th>
                    <th>MATERNO</th>
                    <th>NOMBRES</th>
                    <th>PADRE</th>
                    <th>MADRE</th>
                    <th>EDITAR</th>
                    <th>VER</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
    </section>
{% endblock %}
{% block js %}
    <script>
$(document).ready(function() {
    var table = $('#list-persona').DataTable( {
        "language": {
            "sProcessing":     "Procesando...",
            "sLengthMenu":     "Mostrar _MENU_ registros",
            "sZeroRecords":    "No se encontraron resultados",
            "sEmptyTable":     "Ningún dato disponible en esta tabla",
            "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix":    "",
            "sSearch":         "Buscar:",
            "sUrl":            "",
            "sInfoThousands":  ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst":    "Primero",
                "sLast":     "Último",
                "sNext":     "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
        {#dom: "Bfrtip",#}
        "ajax": {
            "url": "http://127.0.0.1:8000/api/Persona.json",
            "dataSrc": ""
        },
        "aoColumns": [
            { "data": "id" },
            { "data": "anterior" },
            { "data": "dni" },
            { "data": "ap_paterno" },
            { "data": "ap_materno" },
            { "data": "nombre" },
            {#{ "data": "celular" },#}
            { "data": "nombre_padre" },
            { "data": "nombre_madre" },
            {
            "targets": -1,
            "data": null,
            "defaultContent": '<button class="btn btn-outline-warning btn-sm"><i class="fa fa-edit"></i> Editar</button>'
            },
            {
            "targets": -1,
            "data": null,
            "defaultContent": '<button class="btn btn-outline-primary btn-sm"><i class="fa fa-eye"></i> Ver</button>'
            }
        ],
        "order": [[ 0, "desc" ]],
        "pageLength": 10,
        {#"lengthMenu": false,#}
        "bLengthChange": false,
        {#select: true,#}
    } );

    $('.dataTables_filter label').addClass('col-sm-12 control-label');
    $('.dataTables_filter input').addClass('form-control');
    {#$('.dataTables_length label').addClass('col-sm-12 control-label');#}
    {#$('.dataTables_length select').addClass('form-control');#}

    $('#list-persona tbody').on( 'click', 'button.btn-outline-warning', function () {
        var data = table.row( $(this).parents('tr') ).data();
        editarPersona(data.id);
    } );

    $('#list-persona tbody').on( 'click', 'button.btn-outline-primary', function () {
        var data = table.row( $(this).parents('tr') ).data();
        verPersona(data.id);
    } );
} );
    </script>
{% endblock %}